Subject: [bug#54539] [PATCH 0/6] Start breaking up import cycles

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 25 Mar 2022 09:51:16 +0100

Am Donnerstag, dem 24.03.2022 um 13:05 -0400 schrieb Leo Famulari:
> On Thu, Mar 24, 2022 at 08:22:09AM +0100, Liliana Marie Prikler
> wrote:
> > I agree that breaking up cycles is a good thing, but I disagree
> > with some of the decisions you've made here.  For instance, I
> > oppose the use of single-package modules, because those more often
> > than not simply clutter the file system.
> 
> The file system can hold many files. The Guix codebase is nowhere
> near the limit...
That's not a good argument, though.  Theoretically, you could have one
file per package, or even one folder per package as the Gentoo folks
do.  Clearly, this is not an appeal to file system limits, but to
limitations of humans and their tools.  Have you tried exploring
/gnu/store?  Merely loading it takes a considerable amount of time.

Cheers